package com.alterdekim.game.controller.result.async;

import com.fasterxml.jackson.annotation.JsonRootName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Setter
@AllArgsConstructor
@NoArgsConstructor
@JsonRootName(value = "user")
public class ServerActionUser extends ServerActionCData {

    @JacksonXmlProperty(isAttribute = true, localName = "UserId")
    private Long userId;

    @JacksonXmlProperty(isAttribute = true)
    private String hwId;

    @JacksonXmlProperty(isAttribute = true)
    private String ticketId;

    @JacksonXmlProperty(isAttribute = true, localName = "RoleFlags")
    private Integer roleFlags;
}
