package com.alterdekim.game.entity;

import com.alterdekim.flash.decompiler.mapper.FlashClass;
import com.alterdekim.flash.decompiler.mapper.FlashField;
import com.alterdekim.flash.decompiler.mapper.FlashValue;
import com.alterdekim.flash.decompiler.mapper.FlashValueType;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.*;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name="good_smiles")
@ToString
@FlashClass(name = "gs")
public class GoodSmile {
    @Id
    @FlashValue(type = FlashValueType.Id)
    private Long id;

    @Column(nullable = false)
    @FlashField(name = "SId")
    private Integer smileId;

    @Column(nullable = false)
    @FlashField(name = "Smiles")
    private String smiles;

    @Column(nullable = true)
    @FlashField(name = "Days")
    private Integer days;
}
