package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.GoodTag;
import com.alterdekim.game.repository.GoodTagRepository;
import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@NoArgsConstructor
@Service
public class GoodTagService implements OutputObjectCallback {

    @Autowired
    private GoodTagRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((GoodTag) o);
    }
}
