package com.alterdekim.game.component.game.inventory;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public class InventoryTab {
    @JacksonXmlProperty(isAttribute = true, localName = "TextResourceID")
    private int textResourceId;

    @JacksonXmlProperty
    @JacksonXmlElementWrapper(useWrapping = false, localName = "group")
    private List<InventoryGroup> items;
}
