package com.alterdekim.game.repository;

import com.alterdekim.game.entity.TextResource;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface TextResourceRepository extends JpaRepository<TextResource, Long> {
    Optional<TextResource> findById(Long id);

    List<TextResource> findAll();
}
