package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.LevelExperience;
import com.alterdekim.game.repository.LevelExperienceRepository;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LevelExperienceService implements OutputObjectCallback {

    @Autowired
    private LevelExperienceRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((LevelExperience) o);
    }
}
